Bug 52986 - LOCALHELP: WRITER Mail Merge Wizard: Editor Help Button leads to unspecific help
Summary: LOCALHELP: WRITER Mail Merge Wizard: Editor Help Button leads to unspecific help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
QA Contact: Gabor Kelemen
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: HelpGaps
  Show dependency treegraph
 
Reported: 2012-07-31 05:17 UTC by Rainer Bielefeld Retired
Modified: 2017-03-08 16:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-07-31 05:17:53 UTC
With Server Installation of  "LibreOffice 3.6.0.4 rc  English UI/ German Locale [Build-ID:  932b512] on German WIN7 Home Premium (64bit) 

1. Menu 'Tools -> Mail Merge Wizard '
   Dialog Opens
2. <Help> button
  Expected: leads to context related Help "Mail Merge Wizard"
  Actual: "LibreOffice Writer Help" 

I doubt that that ever worked correctly.
Comment 1 Buovjaga 2014-11-06 11:43:27 UTC
Leads to https://help.libreoffice.org/swriter/svt/ui/wizarddialog/WizardDialog

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 8b21b5cbe78945b27525b4ce78ae3d981f90590f
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-06_03:55:51
Comment 2 Marina Latini 2015-10-12 10:53:31 UTC
Added the meta 80430
Changed the component from "UI" to "Documentation"
Set the Hardware to "All All"
Added "LOCALHELP" to the summary

---
Verified on:
* Version: 5.0.2.2
* Build ID: 00m0(Build:2)
* Locale: it-IT (it_IT.UTF-8)
* OS: Ubuntu 14.04.3 LTS
* Arch: x86_64
Comment 3 Marina Latini 2015-10-12 10:55:00 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-11-08 11:28:52 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2017-03-08 10:14:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b59b3195b2ae26d8af56baa4159f1fec4b15feb

tdf#52986 Set default help IDs of the Mail Merge Wizard

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-08 16:56:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=caa80eb9b85837042dde3493c381eeae0fc37e9d

tdf#52986 Fix help IDs of Mail Merge Wizard pages